For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
      • PATCHAdd external Id
      • PATCHApprove an equity exercise
      • POSTCreate a new contract
      • POSTCreate a request to exercise equity.
      • GETGet an estimate of withholding amount given an equity event.
      • GETList contract termination reasons
      • GETList of contracts
      • POSTReject contract
      • GETRetrieve a single contract
      • GETRetrieve contract PDF download link
      • GETRetrieve contract templates
      • POSTSign amendment
      • POSTSign worker contract
    • PATCHProfiles
LogoLogo
SupportDeel Home
EndpointsContracts

Approve an equity exercise

PATCH
/equity/exercise/:public_id
PATCH
/rest/v2/equity/exercise/:public_id
$curl -X PATCH https://api.letsdeel.com/rest/v2/equity/exercise/123e4567-e89b-12d3-a456-426614174000 \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "employer_approval": "approved"
>}'
1{
2 "id": "123e4567-e89b-12d3-a456-426614174000",
3 "status": "approved",
4 "created_at": "2023-05-01",
5 "updated_at": "2023-05-05",
6 "employer_approval": "approved"
7}

Updates the employer approval status for a pending equity exercise. This is a partial update — only employer_approval is accepted in the request body. Token scopes: contracts:write

Was this page helpful?
Previous

Create a new contract

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

public_idstringRequiredformat: "uuid"
Equity exercise public ID.

Request

This endpoint expects an object.
employer_approvalstringRequired

Approval decision by the employer for the equity exercise. Valid values: ‘approved’, ‘rejected’.

Response

Successful operation
idstringformat: "uuid"
Unique identifier of the equity exercise.
statusstring
The current status of the equity exercise, e.g., 'approved' or 'pending'.
created_atstringformat: "date"
The date when the equity exercise was created.
updated_atstringformat: "date"
The date when the equity exercise was last updated.
employer_approvalstring

Indicates whether the employer has approved the equity exercise. Valid values: ‘approved’, ‘rejected’.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/